
*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit; 
}

html {
  box-sizing: border-box;
  font-size: 62.5%; 
  align-content: center;
}
footer {
  margin: auto;
  margin-bottom: 100px;
  width: 50%;
}
body {
  font-family: "Nunito", sans-serif;
  color: rgb(244, 230, 205);
  font-weight: 300;
  line-height: 1.6; 
  background-color: #171d1d;
  align-content: center;
}
link {
  color: cadetblue;
}

button {
  font-size: 4em;
  margin: auto;
  width: 50%;
  background-color: #16251c;
  text-align: center;
  color: #ffffff;
  border: 2px solid rgb(3, 78, 38);
  box-shadow: 4px 4px 4px #0c140f;
}
button:hover, button:focus, button:active {
  /* swap colors */
  color: #f88d14;
  background-color: #ff3333;
  cursor: pointer; /* displays a hand */
}

.btn {
  display:block;
  margin-top: 50px;
  height: 300px;
  width: 300px;
  border-radius: 50%;
  border: 10px solid rgb(0, 0, 0);
  
}

.success {
  display:block;
  align-content: center;
  text-align: center;
  margin: auto;
  width: 50%;
  margin-top: 20px;
  margin-bottom: 20px;
  height: 140px;
  width: 70%;
  font-size: 25px;
  color: #000000;
  background-color: #ff3333;
  border: 10px solid rgb(0, 0, 0);
}

.error {
  display:block;
  align-content: center;
  text-align: center;
  margin: auto;
  width: 50%;
  margin-top: 30px;
  margin-bottom: 30px;
  height: 40px;
  width: 80%;
  font-size: 18px;
  color: #000000;
  background-color: #ff3333;
  border: 5px solid rgb(0, 0, 0);
}

.float-container {
  border: 3px solid #fff;
  padding: 20px;
}

.float-child {
  width: 50%;
  float: left;
  padding: 20px;
}  

header {
  width: clamp(200px, 80%, 600px);
  text-align: center;
  margin: auto;
}

.headerpic {
  width: clamp(600px, 100%, 2000px);
  margin: auto;
  opacity: 0.5;
}
.container {
  width: clamp(600px, 80%, 2000px);
  margin:auto
}

.gallery {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-template-rows: repeat(5, 5vw);
  gap: 1.5rem; 
}

.gallery__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block; 
}

.gallery__item--1 {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 1;
  grid-row-end: 3;

  /** Alternative Syntax **/
  /* grid-column: 1 / span 2;  */
  /* grid-row: 1 / span 2; */
}

.gallery__item--2 {
  grid-column-start: 4;
  grid-column-end: 7;
  grid-row-start: 1;
  grid-row-end: 3;

  /** Alternative Syntax **/
  /* grid-column: 3 / span 2;  */
  /* grid-row: 1 / span 2; */
}

.gallery__item--3 {
  grid-column-start: 7;
  grid-column-end: 10;
  grid-row-start: 1;
  grid-row-end: 3;

  /** Alternative Syntax **/
  /* grid-column: 5 / span 2;
  grid-row: 1 / span 5; */
}

.gallery__item--4 {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 3;
  grid-row-end: 5;

  /** Alternative Syntax **/
  /* grid-column: 1 / span 2;  */
  /* grid-row: 2 / span 1; */
}

.gallery__item--5 {
  grid-column-start: 4;
  grid-column-end: 7;
  grid-row-start: 3;
  grid-row-end: 5;

  /** Alternative Syntax **/
  /* grid-column: 3 / span 2; */
  /* grid-row: 2 / span 1; */
}

.gallery__item--6 {
  grid-column-start: 7;
  grid-column-end: 10;
  grid-row-start: 3;
  grid-row-end: 5;

  /** Alternative Syntax **/
  /* grid-column: 5 / span 2; */
  /* grid-row: 2 / span 1; */
}

.gallery__item--7 {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 5;
  grid-row-end: 7;

  /** Alternative Syntax **/
  /* grid-column: 1 / span 2; */
  /* grid-row: 3 / span 1; */
}

.gallery__item--8 {
  grid-column-start: 4;
  grid-column-end: 7;
  grid-row-start: 5;
  grid-row-end: 7;

  /** Alternative Syntax **/
  /* grid-column: 3 / span 2; */
  /* grid-row: 3 / span 1; */
}

.gallery__item--9 {
  grid-column-start: 7;
  grid-column-end: 10;
  grid-row-start: 5;
  grid-row-end: 7;

  /** Alternative Syntax **/
  /* grid-column: 5 / span 2; */
  /* grid-row: 3 / span 1; */
}